# vtkGDCMThreadedImageReader2 Class Reference

`#include <vtkGDCMThreadedImageReader2.h>`

Collaboration diagram for vtkGDCMThreadedImageReader2:
[legend]

List of all members.

## Public Member Functions

virtual const char * | GetFileName (int i=0)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *filename)
virtual void | SetFileNames (vtkStringArray *)
int | SplitExtent (int splitExt[6], int startExt[6], int num, int total)
| vtkBooleanMacro (FileLowerLeft, int)
| vtkBooleanMacro (LoadOverlays, int)
| vtkBooleanMacro (UseShiftScale, int)
| vtkGetMacro (DataScalarType, int)
| vtkGetMacro (NumberOfScalarComponents, int)
| vtkGetMacro (UseShiftScale, int)
| vtkGetMacro (LoadOverlays, int)
| vtkGetMacro (FileLowerLeft, int)
| vtkGetMacro (NumberOfOverlays, int)
| vtkGetMacro (Shift, double)
| vtkGetMacro (Scale, double)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetVector3Macro (DataOrigin, double)
| vtkGetVector3Macro (DataSpacing, double)
| vtkGetVector6Macro (DataExtent, int)
| vtkSetMacro (LoadOverlays, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (DataScalarType, int)
| vtkSetMacro (UseShiftScale, int)
| vtkSetMacro (Shift, double)
| vtkSetMacro (NumberOfScalarComponents, int)
| vtkSetMacro (FileLowerLeft, int)
| vtkSetVector3Macro (DataSpacing, double)
| vtkSetVector3Macro (DataOrigin, double)
| vtkSetVector6Macro (DataExtent, int)
| vtkTypeRevisionMacro (vtkGDCMThreadedImageReader2, vtkThreadedImageAlgorithm)

## Static Public Member Functions

static vtkGDCMThreadedImageReader2 * | New ()

## Protected Member Functions

| vtkGDCMThreadedImageReader2 ()
| ~vtkGDCMThreadedImageReader2 ()
int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
void | ThreadedRequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector, vtkImageData ***inData, vtkImageData **outData, int outExt[6], int id)

## Constructor & Destructor Documentation

vtkGDCMThreadedImageReader2::vtkGDCMThreadedImageReader2 | ( |  | ) | `[protected]`

vtkGDCMThreadedImageReader2::~vtkGDCMThreadedImageReader2 | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkGDCMThreadedImageReader2::GetFileName | ( | int | i = `0` | ) | `[virtual]`

static vtkGDCMThreadedImageReader2* vtkGDCMThreadedImageReader2::New | ( |  | ) | `[static]`

virtual void vtkGDCMThreadedImageReader2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  | `[virtual]`

int vtkGDCMThreadedImageReader2::RequestInformation | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  | `[protected]`

virtual void vtkGDCMThreadedImageReader2::SetFileName | ( | const char * | filename | ) | `[virtual]`

virtual void vtkGDCMThreadedImageReader2::SetFileNames | ( | vtkStringArray * |  | ) | `[virtual]`

int vtkGDCMThreadedImageReader2::SplitExtent | ( | int | splitExt[6],
|  | int | startExt[6],
|  | int | num,
|  | int | total
| ) |  |

void vtkGDCMThreadedImageReader2::ThreadedRequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector,
|  | vtkImageData *** | inData,
|  | vtkImageData ** | outData,
|  | int | outExt[6],
|  | int | id
| ) |  | `[protected]`

vtkGDCMThreadedImageReader2::vtkBooleanMacro | ( | UseShiftScale | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkBooleanMacro | ( | FileLowerLeft | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkBooleanMacro | ( | LoadOverlays | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | DataScalarType | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | NumberOfScalarComponents | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | FileLowerLeft | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | Scale | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | LoadOverlays | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | Shift | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | NumberOfOverlays | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | UseShiftScale | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetObjectMacro | ( | FileNames | ,
|  | vtkStringArray |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetVector3Macro | ( | DataOrigin | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetVector3Macro | ( | DataSpacing | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkGetVector6Macro | ( | DataExtent | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | FileLowerLeft | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | Scale | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | NumberOfScalarComponents | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | LoadOverlays | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | Shift | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | DataScalarType | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | UseShiftScale | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetVector3Macro | ( | DataSpacing | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetVector3Macro | ( | DataOrigin | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader2::vtkSetVector6Macro | ( | DataExtent | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader2::vtkTypeRevisionMacro | ( | vtkGDCMThreadedImageReader2 | ,
|  | vtkThreadedImageAlgorithm |
| ) |  |

The documentation for this class was generated from the following file:

- vtkGDCMThreadedImageReader2.h